
use "C:\Users\popoval\Desktop\Paper with Luc\Submissions\JMCB\JMCB files\MSS15-241_A.dta"
append using "C:\Users\popoval\Desktop\Paper with Luc\Submissions\JMCB\JMCB files\MSS15-241_B.dta"
append using "C:\Users\popoval\Desktop\Paper with Luc\Submissions\JMCB\JMCB files\MSS15-241_C.dta"
append using "C:\Users\popoval\Desktop\Paper with Luc\Submissions\JMCB\JMCB files\MSS15-241_D.dta"

****************************************
***									 ***
***      T1. Summary stats, all      ***
***                                  *** 
****************************************

sum bought_last_year age_18_35 age_35_45 age_45_55 age_55_65 age_65_plus female single married divorced college_or_more college_dropout high_school white black asian total_hh_income unemployed real ///
house_value mortgage_payment_total rooms bedrooms child_last_year hpi_g2 rents_g elasticity share_manu_in_2000 dp if year==2006

codebook bought_last_year age_18_35 age_35_45 age_45_55 age_55_65 age_65_plus female single married divorced college_or_more college_dropout high_school white black asian total_hh_income unemployed real ///
house_value mortgage_payment_total rooms bedrooms child_last_year hpi_g2 rents_g elasticity share_manu_in_2000 dp if year==2006

****************************************
***									 ***
***           T2. Main, OLS          ***
***                                  *** 
****************************************

** without MSA fixed effects
* probability of purchase at the end of the boom: age and house price growth
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 hpi_g2 if year==2006, cluster(msa)

** with MSA fixed effects
* probability of purchase at the end of the boom: age and house price growth
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 i.msa if year==2006, cluster(msa)

** without MSA fixed effects
* probability of purchase at the end of the boom: adding individual characteristics
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 hpi_g2 female single divorced college_or_more college_dropout high_school white black ///
log_total_hh_income unemployed real if year==2006, cluster(msa)

** with MSA fixed effects
* probability of purchase at the end of the boom: adding individual characteristics
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout high_school white black ///
log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)

****************************************
***									 ***
***           T3. Main, IV           ***
***                                  *** 
****************************************

gen age_18_35_elasticity=age_18_35*elasticity
gen age_35_45_elasticity=age_35_45*elasticity
gen age_45_55_elasticity=age_45_55*elasticity
gen age_55_65_elasticity=age_55_65*elasticity

gen age_18_35_share_manu=age_18_35*share_manu_in_2000
gen age_35_45_share_manu=age_35_45*share_manu_in_2000
gen age_45_55_share_manu=age_45_55*share_manu_in_2000
gen age_55_65_share_manu=age_55_65*share_manu_in_2000

*** first stage

** without MSA fixed effects, only share manufacturing in 2000
* probability of purchase at the end of the boom
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g hpi_g2=age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu share_manu_in_2000) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real if year==2006, cluster(msa) first

** without MSA fixed effects, only topological elasticity
* probability of purchase at the end of the boom
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g hpi_g2=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity elasticity) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real if year==2006, cluster(msa) first

** without MSA fixed effects, both instruments
* probability of purchase at the end of the boom
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g hpi_g2=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu share_manu_in_2000) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real if year==2006, cluster(msa) first

** reduced form 
* probability of purchase at the end of the boom
xi: reg bought_last_year share_manu elasticity age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 hpi_g2 ///
female single divorced college_or_more college_dropout high_school white black log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)

** with MSA fixed effects, both instruments
* probability of purchase at the end of the boom
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006, cluster(msa) first

**********************************************************************
***									                               ***
***        T4. Disentangling down payment and income effect        ***
***                                                                *** 
**********************************************************************

** with MSA fixed effects
* probability of purchase at the end of the boom: adding individual characteristics, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35_dp age_35_45_dp age_45_55_dp age_55_65_dp age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout high_school white black ///
log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: adding individual characteristics, 2SLS
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35_dp age_35_45_dp age_45_55_dp age_55_65_dp=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout high_school white black log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)

**********************************************************************
***									                               ***
*** T5. Accounting for income effects and investment opportunities ***
***                                                                *** 
**********************************************************************

gen age_18_35_rents=age_18_35*rents_g
gen age_35_45_rents=age_35_45*rents_g
gen age_45_55_rents=age_45_55*rents_g
gen age_55_65_rents=age_55_65*rents_g

gen age_18_35_income=age_18_35*log_total_hh_income
gen age_35_45_income=age_35_45*log_total_hh_income
gen age_45_55_income=age_45_55*log_total_hh_income
gen age_55_65_income=age_55_65*log_total_hh_income

gen age_18_35_manu=age_18_35*manu
gen age_35_45_manu=age_35_45*manu
gen age_45_55_manu=age_45_55*manu
gen age_55_65_manu=age_55_65*manu

gen age_18_35_real=age_18_35*real
gen age_35_45_real=age_35_45*real
gen age_45_55_real=age_45_55*real
gen age_55_65_real=age_55_65*real

gen age_18_35_college=age_18_35*college_or_more 
gen age_35_45_college=age_35_45*college_or_more 
gen age_45_55_college=age_45_55*college_or_more 
gen age_55_65_college=age_55_65*college_or_more 

gen age_18_35_delta_income=age_18_35*delta_income_2000_2006
gen age_35_45_delta_income=age_35_45*delta_income_2000_2006
gen age_45_55_delta_income=age_45_55*delta_income_2000_2006
gen age_55_65_delta_income=age_55_65*delta_income_2000_2006

* probability of purchase at the end of the boom: rents growth, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_rents age_35_45_rents age_45_55_rents age_55_65_rents ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: income, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_income age_35_45_income age_45_55_income age_55_65_income ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: change in average MSA income, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_delta_income age_35_45_delta_income age_45_55_delta_income age_55_65_delta_income ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: profession, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_real age_35_45_real age_45_55_real age_55_65_real ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: education, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_college age_35_45_college age_45_55_college age_55_65_college ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: horse race, OLS
xi: reg bought_last_year age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g ///
age_18_35_rents age_35_45_rents age_45_55_rents age_55_65_rents ///
age_18_35_income age_35_45_income age_45_55_income age_55_65_income ///
age_18_35_delta_income age_35_45_delta_income age_45_55_delta_income age_55_65_delta_income ///
age_18_35_real age_35_45_real age_45_55_real age_55_65_real ///
age_18_35_college age_35_45_college age_45_55_college age_55_65_college ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

* probability of purchase at the end of the boom: IV
xi: ivreg2 bought_last_year (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35_rents age_35_45_rents age_45_55_rents age_55_65_rents ///
age_18_35_income age_35_45_income age_45_55_income age_55_65_income ///
age_18_35_delta_income age_35_45_delta_income age_45_55_delta_income age_55_65_delta_income ///
age_18_35_real age_35_45_real age_45_55_real age_55_65_real ///
age_18_35_college age_35_45_college age_45_55_college age_55_65_college ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed ///
real i.msa if year==2006, cluster(msa)

*****************************************
***									  ***
***        T6. Long-term effects      ***
***                                   *** 
*****************************************

gen age_18_35_hpi_g_01_11=hpi_g_01_11*age_18_35
gen age_35_45_hpi_g_01_11=hpi_g_01_11*age_35_45
gen age_45_55_hpi_g_01_11=hpi_g_01_11*age_45_55
gen age_55_65_hpi_g_01_11=hpi_g_01_11*age_55_65

* probability of purchase in the bust: OLS
xi: reg bought_last_year age_18_35_hpi_g_01_11 age_35_45_hpi_g_01_11 age_45_55_hpi_g_01_11 age_55_65_hpi_g_01_11 age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011, cluster(msa)

* probability of purchase in the bust: IV
xi: ivreg bought_last_year (age_18_35_hpi_g_01_11 age_35_45_hpi_g_01_11 age_45_55_hpi_g_01_11 age_55_65_hpi_g_01_11=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011, cluster(msa)

*****************************************
***									  ***
***  T7. House value and house size   ***
***                                   *** 
*****************************************

gen log_mortgage_payment_total=log(mortgage_payment_total)
gen mortgage_house_value=mortgage_payment_total/house_value

** OLS
* house value
xi: reg log_house_value age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* number of rooms: OLS
xi: reg rooms age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* number of bedrooms: OLS
xi: reg bedrooms age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

** IV
* house value
xi: ivreg2 log_house_value (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* number of rooms
xi: ivreg2 rooms age_18_35_hpi_g (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* number of bedrooms
xi: ivreg2 bedrooms (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

*****************************************
***									  ***
***     T8. Economic implications     ***
***                                   *** 
*****************************************

gen mortgage_income=mortgage_payment_total/ total_hh_income

** OLS
* mortgage payment: OLS
xi: reg log_mortgage_payment_total age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* mortgage debt to house value, bust
xi: reg mortgage_house_value age_18_35_hpi_g_01_06 age_35_45_hpi_g_01_06 age_45_55_hpi_g_01_06 age_55_65_hpi_g_01_06 age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011 & movedin==4 & owner==1, cluster(msa)

* mortgage debt to income, bust
xi: reg mortgage_income age_18_35_hpi_g_01_06 age_35_45_hpi_g_01_06 age_45_55_hpi_g_01_06 age_55_65_hpi_g_01_06 age_18_35 age_35_45 age_45_55 age_55_65 ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011 & movedin==4 & owner==1, cluster(msa)

** IV

* mortgage payment
xi: ivreg2 log_mortgage_payment_total (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006 & bought_last_year==1, cluster(msa)

* mortgage debt to house value, bust
xi: ivreg2 mortgage_house_value (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011 & movedin==4 & owner==1, cluster(msa)

* mortgage debt to income, bust
xi: ivreg2 mortgage_income (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) ///
age_18_35 age_35_45 age_45_55 age_55_65 female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011 & movedin==4 & owner==1, cluster(msa)

*****************************************
***									  ***
***      T9. Social implications      ***
***                                   *** 
*****************************************

gen age_18_35_owner=age_18_35*owner
gen age_35_45_owner=age_35_45*owner
gen age_45_55_owner=age_45_55*owner
gen age_55_65_owner=age_55_65*owner

*** Panel A. Boom

** marriage
* OLS
xi: reg married age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g age_18_35_owner age_35_45_owner age_45_55_owner age_55_65_owner age_18_35 age_35_45 age_45_55 age_55_65 owner ///
female college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)
* IV
xi: ivreg2 married (age_18_35_hpi_g age_35_45_hpi_g age_45_55_hpi_g age_55_65_hpi_g=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) age_18_35_owner age_35_45_owner age_45_55_owner age_55_65_owner age_18_35 age_35_45 age_45_55 age_55_65 owner ///
female college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2006, cluster(msa)

** fertility
* OLS
xi: reg child_last_year age_18_35_hpi_g age_35_45_hpi_g age_18_35_owner age_35_45_owner age_18_35 age_35_45 owner ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real children i.msa if year==2006, cluster(msa)
* IV
xi: ivreg2 child_last_year (age_18_35_hpi_g age_35_45_hpi_g=age_18_35_elasticity age_35_45_elasticity age_18_35_share_manu age_35_45_share_manu) age_18_35_owner age_35_45_owner age_18_35 age_35_45 owner ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real children i.msa if year==2006, cluster(msa)

*** Panel B. Bust

** marriage
* OLS
xi: reg married age_18_35_hpi_g_01_11 age_35_45_hpi_g_01_11 age_45_55_hpi_g_01_11 age_55_65_hpi_g_01_11 age_18_35_owner age_35_45_owner age_45_55_owner age_55_65_owner age_18_35 age_35_45 age_45_55 age_55_65 owner ///
female college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011, cluster(msa)
* IV
xi: ivreg2 married (age_18_35_hpi_g_01_06 age_35_45_hpi_g_01_06 age_45_55_hpi_g_01_06 age_55_65_hpi_g_01_06=age_18_35_elasticity age_35_45_elasticity age_45_55_elasticity age_55_65_elasticity age_18_35_share_manu age_35_45_share_manu age_45_55_share_manu age_55_65_share_manu) age_18_35_owner age_35_45_owner age_45_55_owner age_55_65_owner age_18_35 age_35_45 age_45_55 age_55_65 owner ///
female college_or_more college_dropout white black log_total_hh_income unemployed real i.msa if year==2011, cluster(msa)

** fertility
* OLS
xi: reg child_last_year age_18_35_hpi_g_01_11 age_35_45_hpi_g_01_11 age_18_35_owner age_35_45_owner age_18_35 age_35_45 owner ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real children i.msa if year==2011, cluster(msa)
* IV
xi: ivreg2 child_last_year (age_18_35_hpi_g_01_06 age_35_45_hpi_g_01_06=age_18_35_elasticity age_35_45_elasticity age_18_35_share_manu age_35_45_share_manu) age_18_35_owner age_35_45_owner age_18_35 age_35_45 owner ///
female single divorced college_or_more college_dropout white black log_total_hh_income unemployed real children i.msa if year==2011, cluster(msa)

* the end
